| unix-2.3.0.1: POSIX functionality | Source code | Contents | Index

System.Posix.SharedMem

Portability | non-portable (requires POSIX)
Stability | experimental
Maintainer | libraries@haskell.org

Description
POSIX shared memory support.
Synopsis

data ShmOpenFlags = ShmOpenFlags {

shmReadWrite :: Bool
shmCreate :: Bool
shmExclusive :: Bool
shmTrunc :: Bool

}

shmOpen :: String -> ShmOpenFlags -> FileMode -> IO Fd
shmUnlink :: String -> IO ()

Documentation

data ShmOpenFlags | Source

Constructors

ShmOpenFlags |

shmReadWrite :: Bool | If true, open the shm object read-write rather than read-only.
shmCreate :: Bool | If true, create the shm object if it does not exist.
shmExclusive :: Bool | If true, throw an exception if the shm object already exists.
shmTrunc :: Bool | If true, wipe the contents of the shm object after opening it.

shmOpen :: String -> ShmOpenFlags -> FileMode -> IO Fd | Source

Open a shared memory object with the given name, flags, and mode.

shmUnlink :: String -> IO () | Source

Delete the shared memory object with the given name.
Produced by Haddock version 0.9